TYPO3.Flow - Bug # 31192

Status: Resolved Priority: Should have
Author: Julian Wachholz Category: Session
Created: 2011-10-22 Assigned To: Robert Lemke
Updated: 2012-03-21 Due date:

PHP Version: 5.3

Has patch: No

Complexity: medium

Affected Flow version: Git master

Subject: Update session cookie lifetime on activity

Description

The lifetime of a session cookie (TYPO3\FLOW3\Session\PhpSession) is fixed.

After the time specified (default 1 hour) the cookie gets deleted, no matter how long ago the last activity of the user was.

The cookie's expiration date should be updated on every request.

This would, for example, prevent a session expiration while filling out a form..

Related issues:

related to TYPOS.Flow - Feature # 35034: Automatic session expiration on user... Resolved

2012-03-20

Associated revisions

Revision cfe4af2e - 2012-03-20 17:41 - Robert Lemke
[FEATURE] Automatic session expiration on user inactivity

This feature lets sessions expire automatically after a certain time
of user inactivity. The actual timeout can be specified through a

new setting called "inactivity Timeout".

This patch also sets the default cookie lifetime to infinite, as

expiration can be better controlled through the new timeout feature.
Fixes: #31192
Resolves: #35034

Releases: 1.1

Change-Id: 1358860386e67{5f{1b4d93299b5090dea91eaec55

History

#1 - 2011-10-25 09:35 - Christopher Hlubek
- Has patch set to No

We have to confirm this, but if it is like that, | consider this a bug.

#2 - 2012-03-20 12:38 - Robert Lemke
- Tracker changed from Feature to Bug
- Status changed from New to Accepted
- Assigned To set to Robert Lemke

- Target version set to 1.1 beta 1

- PHP Version set to 5.3

- Complexity set to medium

- Affected Flow version set to Git master

#3 - 2012-03-20 12:47 - Gerrit Code Review

- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9765

#4 - 2012-03-20 15:59 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.

It is available at http://review.typo3.0rg/9765

#5 - 2012-03-20 17:41 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.0rg/9765

#6 - 2012-03-21 02:39 - Robert Lemke
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:cfe4af2e7423da6adbe881d1c97e14abc62ce189.
